function varargout=isoslice(self,u,P,varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('labels',[]); % select labels to draw
  p.addParamValue('niso',10,@isscalar);
  p.addParamValue('isorange',[]);
%  p.addParamValue('isocolorbar',false,@islogical);
  p.addParamValue('color',[]); % unique color
  %p.addParamValue('PlotOptions',{});
  p.addParamValue('mouse',true,@islogical);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  
  if isempty(R.labels), R.labels=self.sThlab(self.sThsimp==3);end
  if isempty(R.labels), warning('No label found for %d-simplex sub-meshes',3);return;end
  if isempty(R.isorange)
    R.isorange=linspace(min(u),max(u),R.niso);
  end
  R.niso=length(R.isorange); 
  if isempty(R.color)
    cmap=colormap();%R.colormap);
    t=0:1/(R.niso-1):1;
    colors = fc_tools.graphics.RGB(t,cmap);
  else
    if ischar(R.color), R.color = fc_tools.graphics.colorstr2rgb(R.color);end
    colors=ones(R.niso,1)*R.color;
  end
  
  LB=self.find(3);
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  for l=1:length(R.labels)
    [I,K]=ismember(R.labels(l),self.sThlab(LB));
    if K==0
      warning('label %d not found for %d-simplex sub-meshes',R.labels(l),2);
    else
      Ilab=LB(K);
      self.sTh{Ilab}.isoslice(u,P,'niso',R.niso,'isorange',R.isorange, ...
                                  'color',colors,varargin{:});
    end
  end
%    if R.isocolorbar
%      colorbarIso(colors,R.isorange)
%    end
  if R.mouse && ~fc_tools.comp.isOctave()
    datacursormode on
    dcm = datacursormode(gcf);
    set(dcm,'UpdateFcn',@showmeshinfo)
  end
  if nargout>=1, varargout{1}=colors;end
  if nargout==2, varargout{2}=R.isorange;end
  fc_tools.graphics.RestoreHold(PrevHold)
end
